import sys
import os
from xbait.core import options
from xbait.utils import logger
from xbait.modules import disclaimer
from xbait.utils.clear_terminal import clear_terminal

# Placeholder for created temporary files
created_temp_files = []

def main():
    if not disclaimer.display_disclaimer():
        return

    logger.setup_logging()

    # List of modules you expect to be installed
    missing_modules = ['requests', 'sqlite3', 'psutil', 'pyautogui', 'pyperclip', 'pywin32']  # Replace with the actual modules you need

    while True:
        clear_terminal()
        platform_choice = disclaimer.select_platform()
        if platform_choice == "1":
            options.install_missing_modules(missing_modules)
            options.list_windows_options()

        try:
            options.cleanup()
        except Exception as e:
            options.display_message(f"❌ Error Cleaning Up Temporary Files: {e}", "error")

if __name__ == "__main__":
    main()
